@if (authenticatedUser$ | async; as user) {
  <div
    class="full-width full-height flex-column overflow-hidden admin-workspace-grid-container p-l-10"
  >
    <span class="admin-workspace-main-title">{{
      'sqtm-core.administration-workspace.milestones.title' | translate
    }}</span>
    <div class="flex-row">
      <div class="milestone-activation-toolbar">
        @if (milestoneSwitchVisible$ | async) {
          <label>{{
            'sqtm-core.administration-workspace.milestones.activate-milestone.label'
              | translate
          }}</label>
          <sqtm-core-switch-field
            (confirmEvent)="handleMilestoneFeatureToggle()"
          >
          </sqtm-core-switch-field>
        }
      </div>
      @if (milestoneFeatureEnabled$ | async) {
        <div
          class="flex-fixed-size admin-workspace-grid-toolbar"
          [attr.data-test-toolbar-id]="'milestone-toolbar'"
        >
          <span class="current-workspace-button">
            <sqtm-core-toggle-icon
              (clickedInActiveMode)="duplicateMilestone()"
              [active]="isDuplicateButtonActive$ | async"
            >
              <i
                nz-icon
                nz-dropdown
                nzType="sqtm-core-administration:duplicate"
                nzTheme="outline"
                nz-tooltip
                class="action-icon-size"
                [nzTooltipTitle]="
                  'sqtm-core.administration-workspace.milestones.dialog.title.duplicate-milestone'
                    | translate
                "
                nzTooltipPlacement="top"
                [attr.data-test-toolbar-button-id]="'duplicate-button'"
              >
              </i>
            </sqtm-core-toggle-icon>
          </span>
          <span class="current-workspace-button">
            <sqtm-core-toggle-icon
              (clickedInActiveMode)="openSynchronizeMilestoneDialog()"
              [active]="isSynchronizeButtonActive$ | async"
            >
              <i
                nz-icon
                nz-dropdown
                nzType="sqtm-core-administration:synchronize"
                nzTheme="outline"
                nz-tooltip
                class="action-icon-size"
                [nzTooltipTitle]="
                  'sqtm-core.administration-workspace.milestones.dialog.title.synchronize-milestones'
                    | translate
                "
                nzTooltipPlacement="topRight"
                [attr.data-test-toolbar-button-id]="'synchronize-button'"
              >
              </i>
            </sqtm-core-toggle-icon>
          </span>
          <span class="current-workspace-button">
            <sqtm-core-toggle-icon
              (clickedInActiveMode)="openCreateDialog()"
              [active]="milestoneFeatureEnabled$ | async"
            >
              <i
                nz-icon
                nz-dropdown
                nzType="sqtm-core-generic:add"
                nzTheme="outline"
                nz-tooltip
                class="action-icon-size"
                [nzTooltipTitle]="
                  'sqtm-core.administration-workspace.milestones.tooltips.create-milestone'
                    | translate
                "
                nzTooltipPlacement="topRight"
                [attr.data-test-toolbar-button-id]="'create-button'"
              >
              </i>
            </sqtm-core-toggle-icon>
          </span>
          <span class="current-workspace-button">
            <sqtm-core-toggle-icon
              (clickedInActiveMode)="openDeleteDialog($event, user)"
              [active]="isDeleteButtonActive$ | async"
            >
              <i
                nz-icon
                nz-dropdown
                nzType="sqtm-core-generic:delete"
                nzTheme="outline"
                nz-tooltip
                class="action-icon-size"
                [nzTooltipTitle]="
                  'sqtm-core.administration-workspace.milestones.tooltips.delete-milestones'
                    | translate
                "
                nzTooltipPlacement="topRight"
                [attr.data-test-toolbar-button-id]="'delete-button'"
              >
              </i>
            </sqtm-core-toggle-icon>
          </span>
        </div>
      }
    </div>
    @if (milestoneFeatureEnabled$ | async) {
      <div
        class="flex-column full-height overflow-hidden sqtm-large-grid-container p-10"
      >
        <sqtm-core-text-research-field
          [attr.data-test-element-id]="'requirement-link-filter-field'"
          (newResearchValue)="filterMilestones($event)"
          class="sqtm-core-multi-research-field"
        >
        </sqtm-core-text-research-field>
        <sqtm-core-grid class="full-height"></sqtm-core-grid>
      </div>
    }
  </div>
}
